/{organizationId}/finance/receipts/scanReceiptScan receipt
Scans a receipt PDF/Image file and returns its information
Required permissions:
receipt.insert
Path Parameters
organizationIdstringrequired Request Body required
Content-Type: application/json
receiptTypestringrequired Options:
revenueexpenserefundbooleanrequired fileIduuidrequired pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/finance/receipts/scanReceipt' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"receiptType": "revenue",
"refund": true,
"fileId": "string"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
dueDatestringoptional receiptDatestringoptional receiptNumberstringoptional maxLength: 30
totalGrossAmountintegeroptional maximum: 9999999999
exclusiveMinimum: 0
totalFeesAmountneveroptional accountNamestringoptional isNetbooleanoptional accountintegeroptional minimum: 1
maximum: 999999999
Additional properties are not allowed.
sourcestringoptional Options:
zugferdocrResponse
{
"dueDate": "string",
"receiptDate": "string",
"receiptNumber": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}